/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */
#ifndef BARDISPLAY_H
#define BARDISPLAY_H

/* Superclass public header file */

#include "GraphDispl.h"

/* New resources */

#define XtNspace "space"
#define XtCSpace "Space"
#define XtNdefaultGraphWidth "defaultGraphWidth"
#define XtCDefaultGraphWidth "DefaultGraphWidth"
#define XtNformat "format"
#define XtCFormat "Format"

/* External reference to the class record pointer */
extern WidgetClass barDisplayObjectClass;

/* Type definition for barDisplay objects */
typedef struct _BarDisplayRec *BarDisplayObject;

/* End of preprocessor directives */
#endif /* BARDISPLAY_H */
